%global pypi_name pytest-console-scripts

Name:           python-%{pypi_name}
Version:        1.4.1
Release:        %mkrel 1
Summary:        Pytest plugin for testing console scripts
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/pytest-console-scripts/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Pytest-console-scripts is a pytest plugin for running python scripts from
within tests. It's quite similar to subprocess.run(), but it also has an
in-process mode, where the scripts are executed by the interpreter that's
running pytest (using some amount of sandboxing).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Pytest-console-scripts is a pytest plugin for running python scripts from
within tests. It's quite similar to subprocess.run(), but it also has an
in-process mode, where the scripts are executed by the interpreter that's
running pytest (using some amount of sandboxing).

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_console_scripts

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Tue Dec 26 2023 wally <wally> 1.4.1-1.mga10
+ Revision: 2021768
- imported package python-pytest-console-scripts

